![image](teaser.png)

# 1.3.0

#### Presenting the new version of Hashcore Toolkit!
In the new version of Toolkit, you'll find a new device search, a "Monitoring" mode for easy miner tracking, pool presets for quick settings application, and a new control panel. We've added Antminer S21 XP Hydro support, improved group statistics, and increased application stability. Update and experience all the new features!

#### **New Features**

- New "Monitoring" Display Mode Easily monitor the status of your devices with a heatmap, allowing you to quickly identify and resolve potential issues.
- Group Subnet Editing Edit subnets within the network group editing dialog.
- Device Search Search for devices by IP and MAC addresses, as well as pool addresses and workers.
- Pool Presets Save pools as templates for quick application and switching.
- Cloning Clone pools, settings for stopping mining in case of chain malfunction, maximum fan speed, and minimum preset.
- Template Center Manage and create pool and filter presets in one central location.
- New View and Command Control Panel Switch between views, search for devices, and perform bulk operations.
- Diagnostic Report Export Export reports for VNISH firmware, both for individual devices and groups.
- MAC Address Export Export device MAC addresses when exporting lists.
- New Keyboard Shortcuts Ctrl/Cmd + F to search for devices and Ctrl/Cmd + A to select all items in the list.
- Braiins Firmware Power Consumption Braiins firmware now displays power consumption information.
- Network Scanning Start and stop scanning as needed.
- Reset Firmware and Remove Firmware Function Descriptions Added brief descriptions to the device menu.

#### **Improvements**

- Improved Operations Section Problematic operations will no longer go unnoticed.
- Simplified Firmware Installation/Update Dialog Installing firmware is now even easier.
- Miner Error Descriptions Hover over the error status to see its cause.
- Modified Temperature Export Export chip and board temperatures separately for each board.
- Consistent Hashrate Values in Monitoring Mode Hashrate values in the monitoring mode are now standardized.
- Filter List Updates Dynamically The filter list now updates as the device list changes.
- Optimized Interface Updates During Network Scanning Improved UI performance during network scanning.
- Modified Group Statistics Calculation Group statistics are now displayed in the group switching menu.
- Expanded Variable Templates in Pools Added the `{ip}` template, parameters in templates, delimiter editing in `{ip:}, {mac:}`, and control over the first value and step in `{n:}, {nn:}, {nnn:}`.
- Grouped Fields in Sort and Filter Menus Fields in the sorting and filtering menus are now grouped for better organization.
- Modified Stock Firmware Version Display for Bitmain Devices The display of stock firmware versions for Bitmain devices has been updated.
- Modified Group Statistics Layout Adjusted the width of grouping fields.
- Display of minimum preset
- Interface Improvements Increased the width of the firmware version column, modified the appearance of tooltips, and improved the list display in pool mode.

#### **Fixes**

- "Remove Firmware" Task: The "Remove Firmware" task is now correctly disabled for VNISH firmware installed on SD cards.
- Model Detection for S19j Pro-A and S19 Pro-A: Improved model detection for S19j Pro-A and S19 Pro-A devices during firmware installation.
- Display of Fan Speed and Chain Status: Fixed the display of fan speed and chain status when empty data is received.
- Canceling Scan After Opening Second Network Group: Fixed an issue where scanning would not properly cancel after opening a second network group.
- Deselecting Devices in Compact Mode: Fixed an issue with deselecting devices in compact mode.
- Updating Network Group Statistics After Rescanning: Fixed the updating of network group statistics after rescanning addresses.
- Selected Settings Counter for Cloning: Fixed the counter for selected settings when cloning.
- Input Validation in Pool Editing Dialog: Fixed input validation in the pool editing dialog.
- Applied Filter Value Error: Fixed an error with applied filter values.
- Numerous Other Minor Bug Fixes and Improvements.

### 1.2.0
- Device grouping and statistics
- Notifications about new versions
- Added custom device display mode
- Support for Antminer S21 XP Hydro and Antminer S21XP Imm
- Implemented the "Find miner" command for Bitmain firmware (Antminer Stock)
- Statistics for Braiins and Luxor firmware
- Display of DevFee and issue warnings
- Chinese localization
- Display of firmware build name
- Added "About" section
- Introduced new commands in `toolkit_cli` (clone and reset-autotune)
- Group import via drag & drop
- Optimized adding devices during network scanning
- Enhanced worker sorting
- Fully redesigned firmware installation
- UI improvements: increased firmware version column width, redesigned tooltips, and improved list display in pool mode
- Quick access to range group export
- Export of a single group from the network group's context menu
- Fixed Windows freeze on startup when window position data is lost
- Fixed data loss in the application (restoration file saving)
- Resolved thread blocking when running handlers written in Rust
- Changed the behavior of the Rescan button in the device list
- Fixed toolkit_cli operation
- Fixed the execution of the "Install Firmware" task
- Corrected labels for controls and app descriptions on Mac
- Fixed task cancellation (scanning, firmware restoration, etc.) when exiting a network group

### 1.1.0
- Presets for filters and sorting
- Added device filtering and sorting by subnets
- Added firmware reset operation
- Support for Antminer S19j XP and S19e XP Hydro
- Device "Offline" display mode
- Russian language localization
- Multi-level menu headers
- Labels for unlock types
- Responsiveness: Added some responsiveness to the application for small device screens
- Operations window: extended information, filtering, deleting, stopping operations
- Device context menu
- Search and monitoring algorithms
- Warnings and labels for unlock types
- Device cloning feature
- Application interface
- Improved filter selection
- Quick access to device list export
- Fixed issue with canceling user passwords
- Fixed automatic removal of spaces in firmware file names
- Fixed error exporting and importing network groups for Windows
- Ended support for Windows 8 and older versions

### 1.0.2
- Fixed an issue that caused the launch to fail on Windows 11

### 1.0.1
- Fixed timeout issue when saving the network list
- Minor interface adjustments
- Added data validation in the Firmware Installation and Firmware Update dialogs (checks for empty firmware name and version)
- Added group power consumption
- Updated file name generation for exporting files. The imported file name is now used as the group name
- Implemented password saving for a range in the unlock dialog for a single miner
- Fixed issue with ignoring model parameters during firmware updates
- Fixed pool mode artifact
- Windows 7 and 8 support will be discontinued in future versions

### 1.0.0
- Initial release of the application